#ifndef HOSPITALINFO_H
#define HOSPITALINFO_H
/*
    des: Hospital Info 医院信息
    date: 20241028
*/
#include <QWidget>
#include <QLabel>
#include <QLineEdit>
#include <QPushButton>
class HospitalInfo:public QWidget
{
    Q_OBJECT
public:
    explicit HospitalInfo(QWidget * parent = NULL);
    virtual  ~HospitalInfo();
    void  init();
    void  initLay();
    bool  initConnect();
private:
    //医院名称
    QLabel m_labHospitalName;
    QLineEdit m_editHospitalName;
    //科室
    QLabel m_labSection;
    QLineEdit m_editSection;
    //用户数
    QLabel  m_labUserNum;
    QLineEdit m_editUserNum;

    //数据库 名称
    QLabel m_labDataBaseName;
    QLineEdit m_editDataBaseName;

    //用户名
    QLabel m_labUser;
    QLineEdit m_editUser;

    QLabel m_labpasswd;
    QLineEdit m_editPasswd;
    //确认
    QPushButton m_btnOK;
};
#endif // HOSPITALINFO_H
